#!/bin/sh

BINDIR=/usr/local/bin
SYSDIR=/usr/local/lib/xe
BISDIR=${SYSDIR}/bios
MODDIR=${SYSDIR}/modules

if [ `whoami` == root ]; then		# must be logged as root

  for i in $SYSDIR $BISDIR $MODDIR; do
    if [ ! -d $i ]; then		# if dir does not exist, create
      mkdir $i >& /dev/null
      if [ $? != 0 ]; then
        echo unable to create $i   
        exit
      fi
    fi
  done

  cp -f modules/* $MODDIR >& /dev/null	# copy modules to sys path
  if [ $? != 0 ]; then
    echo unable copy modules to $MODDIR   
    exit
  fi

  cp xe $BINDIR	>& /dev/null		# copy binary to bin path
  if [ $? != 0 ]; then
    echo unable copy xe to $BINDIR   
    exit
  fi

  cp xerc $SYSDIR >& /dev/null		# copy rc file to sys path
  if [ $? != 0 ]; then
    echo unable copy xerc to $SYSDIR
    exit
  fi

  echo xe successfully installed	# done

else

  echo Must be logged on as root.

fi
