#!/bin/sh

BINDIR=/usr/local/bin
SYSDIR=/usr/local/lib/xe
BIODIR=${SYSDIR}/bios
MODDIR=${SYSDIR}/modules
RCDIR=${SYSDIR}/rc

if [ `whoami` == root ]; then		# must be logged as root

  for i in $SYSDIR $BIODIR $MODDIR $RCDIR; do
    if [ ! -d $i ]; then		# if dir does not exist, create
      mkdir $i >& /dev/null
      if [ $? != 0 ]; then
        echo unable to create $i   
        exit
      fi
    fi
  done

  cp -f modules/* $MODDIR >& /dev/null	# copy modules to sys path
  if [ $? != 0 ]; then
    echo unable copy modules to $MODDIR   
    exit
  fi

  cp -f rc/* $RCDIR >& /dev/null	# copy rc files to sys path
  if [ $? != 0 ]; then
    echo unable copy rc files to $RCDIR
    exit
  fi

  cp xe $SYSDIR	>& /dev/null		# copy binary to sys path
  if [ $? != 0 ]; then
    echo unable copy xe to $SYSDIR   
    exit
  fi

  ln -sf $SYSDIR/xe $BINDIR/xe		# link binary to bin path
  if [ $? != 0 ]; then
    echo unable to link $BINDIR/xe
    exit
  fi

  echo xe successfully installed	# done

else

  echo Must be logged on as root.

fi
